#
# spec file for package cowsay
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!perl_requires:%define perl_requires() Requires: perl = %{perl_version}}
Name:           cowsay
Version:        3.7.0
Release:        bp156.2.1
Summary:        Configurable talking cow (and some other creatures)
License:        GPL-3.0-or-later
Group:          Amusements/Toys/Other
URL:            https://cowsay.diamonds/
Source:         https://github.com/cowsay-org/cowsay/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0:         chami.patch
BuildRequires:  make
BuildRequires:  perl
BuildArch:      noarch
%{perl_requires}

%description
cowsay is a configurable talking cow, written in Perl. It operates
much as the figlet program does, and it written in the same spirit
of silliness.

%prep
%autosetup -p1
sed -i '1 s/env //' cowsay

%build
perl -c cowsay

%install
%make_install prefix=%{_prefix}

%files
%license LICENSE.txt
%doc ChangeLog README.md
%{_bindir}/%{name}
%{_bindir}/cowthink
%{_datadir}/cowsay
%{_mandir}/man1/*

%changelog
* Fri Dec  3 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to 3.7.0
  * cowsay -r [-C] for random cow
  * Pluggable cow collections using etc/cowsay/cowpath.d
  * Parseable format for cowsay -l when sent to non-terminal
    destination
  * Fix cowsay -l ignoring *.pm files
  * Have cowsay -l recursively discover cowfiles in subdirectories
- Update to 3.5
  * Add llama cow
  * Changed to SemVer version numbering
- Switch to cowsay-org fork:
  * Version 3.04.01
  * Fix the version number in source files
- Adjust chami.patch for different directory structure
- Drop fixed one-eye.patch
* Wed Sep  2 2020 Dirk Mueller <dmueller@suse.com>
- update to 3.0.4:
  - Licensing terms have changed to GPLv3.
  - Friendlier to being hosted on GitHub.
  - No functionality changes whatsoever.
* Wed Jun 26 2019 Marketa Calabkova <mcalabkova@suse.com>
- Add SUSE brand
  * chami.patch -- big chameleon picture named chameleon.cow
  * one-eye.patch -- helper patch to allow the chameleon to be dead
* Sat May 27 2017 sor.alexei@meowr.ru
- Add perl to BuildRequires in order to make the package rebuild
  when perl was updated.
* Sat Apr 26 2014 andreas.stieger@gmx.de
- use verbatim upstream source tarball
- use version number used upstream
- add source URLs, see https://en.opensuse.org/SourceUrls
- add source tarball signature verification
- specify perl requirements as per packaging recommendations
* Sun Apr  6 2014 sor.alexei@meowr.ru
- Initial package.
